"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tagFor = void 0;
const fast_element_1 = require("@microsoft/fast-element");
/**
 * Determines what HTML tag name to use for the dependency.
 * @param dependency - The dependency the template is dependent on.
 * @returns The tag name to use in markup.
 * @beta
 */
function tagFor(dependency) {
    if (typeof dependency === 'string') {
        return dependency;
    }
    if (typeof dependency === 'function') {
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        dependency = fast_element_1.FASTElementDefinition.forType(dependency); // < using forType instead of getByType for now...
        if (!dependency) {
            throw new Error('Missing FASTElement definition.');
        }
    }
    return dependency.name;
}
exports.tagFor = tagFor;
