<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/web-core](./web-core.md) &gt; [defineFactory](./web-core.definefactory.md)

## defineFactory variable

> This API is provided as a beta preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Defines a platform custom element based on the provided type and definition.

**Signature:**

```typescript
defineFactory: <TType extends Constructable<FASTElement>>(Type: TType, overriderOrBase: DefinitionOverrider | PartialFASTElementDefinition) => DefineFunction<TType>
```

## Example 1

An example using custom definition merge logic, useful if you need to impose hard restrictions.

```ts
const definitionOverrider = (definition) => ({
   ...baseDefinition,
   ...definition,
   styles: baseDefinition.styles,
   shadowOptions: {
     mode: 'closed,
   },
});
export const define = defineFactory(LoginForm, definitionOverrider);
```

## Example 2

You can provide the base definition if you're happy with the default spread operator merge logic.

```ts
export const define = defineFactory(LoginForm, baseDefinition);
```

